#MONTE CARLO TEST DATA FOR MOCKED RANDOM VALUES

def return_single_asset_mocked_z():
    '''Returns data that the random number generator should be mocked with for single-asset case.'''
    return single_asset_Z

def return_multi_asset_mocked_z():
    '''Returns data that the random number generator should be mocked with for multi-asset case.'''
    return multi_asset_Z


multi_asset_Z = [
[[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [-1.95510306, -1.0139728,   2.01619326,  0.03843479],
 [ 0.51855456,  2.75840834, -0.06662533, -2.17198552],
 [ 0.45948944,  0.38839536 , 0.99434512,  1.29000606],
 [-1.42009,    -0.11431576 , 0.46058283, -0.66577702],
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [-0.36796882,  0.59959462, -0.11134932, -0.16004326],
 [ 0.47212018,  1.0194104 ,  0.05075125, -1.21002433],
 [ 0.53391813, -1.03439628, -0.60767828, -0.61576446],
 [ 0.0806606 ,  0.13488084,  0.48114827,  0.95758199],
 [ 0.15019768,  0.3961599 , -0.46459771,  0.20269921],
 [ 1.67344579,  1.2545637 , -0.59032313,  0.69569589],
 [ 0.17928307, -0.04392258, -1.71297327, -0.11074065],
 [-0.05379476, -0.27961953 , 0.05596097, -0.05747975],
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [-1.1799153,   0.60506292, -0.26527185, -1.13272346],
 [ 0.36416834, -0.6778793 , -1.86636699, -0.45078592],
 [-0.23309339, -0.49797945,  0.18675439,  1.37016258],
 [ 0.35015626,  1.44384737, -1.17990967, -1.1865185 ],
 [ 0.88442826, -2.08416825, -0.73342634, -1.13137524],
 [ 0.23632505, -1.97156807, -1.54105136,  1.84738749],
 [-0.47862825, -0.03617529, -0.37856924, -0.39039294],
 [-0.10529917, -0.24559446, -1.28449859, -0.31744242],
 [-0.6119563 ,  0.95513033,  0.33177978,  0.23652325],
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 [[ 1.4769714,  -1.36293686,  0.17509917,  0.44410928], 
 [ 0.24179838,  1.06711691, -2.23036885, -0.78953354], 
 [-0.06456399,  0.13180882,  0.82235286, -2.2951918 ], 
 [ 0.73110374,  0.69123097, -1.25189761, -0.79834526], 
 [-0.46949551,  0.93948924,  0.38505102, -0.79305166], 
 [-0.53496462, -1.28620483,  0.70729086,  0.74085523], 
 [-0.12591095, -0.15684609,  0.49491288, -1.35978131], 
 [-0.41646177, -1.01716025, -0.14137973, -0.36897626], 
 [-0.00494085,  0.95089028,  0.03482568, -0.77680185], 
 [ 0.2794908,  -0.255596  ,  0.28267328,  0.92190468], 
 [-0.56748017, -1.46383076, -0.74837772,  1.01307278], 
 [ 1.2317656,   0.87194606,  0.58661222, -2.44700817], 
 [-0.01716589, -1.85271684,  1.79385826,  0.66078159], 
 [ 0.98691715,  1.59833202, -1.17876855,  2.28084226], 
 [-0.27422029,  0.58596551, -0.31939277,  0.10278433], 
 [-0.74277613,  0.71538179, -1.11768569,  0.83896173], 
 [ 0.23399608,  0.32641854,  0.03856515 , 0.73326395], 
 [ 0.51078473, -1.53869804, -0.18308431, -0.12102837], 
 [ 2.56648643, -0.09738562,  1.41876727, -0.20962406], 
 [-1.34483092, -0.06243596,  0.18179769, -0.1068376 ], 
 [ 0.09630112,  0.37716532, -0.94984466, -0.23865237], 
 [-0.1409305,  1.04363467 ,-1.38440554 , 0.89701864], 
 [ 1.2550074,   0.09302244, -1.00568279, -0.92482765], 
 [ 2.46925614,  1.08783722,  0.39142587,  0.25348529], 
 [-1.5716131,   0.88212496,  0.59763611,  0.61350983], 
 [ 0.51953825, -0.43168552, -0.67704546,  2.97600214], 
 [ 0.38569728 , 1.99420409, -2.12206215,  1.18212709], 
 [ 0.55336251,  0.13075191,  2.41537203, -1.02800292], 
 [ 1.45021328, -0.69611919,  0.56414771,  0.62068493], 
 [ 0.64027357, -0.47253062,  0.67310433,  2.13317926], 
 [ 0.13471554, -0.74068766,  0.25504048,  1.40177154], 
 [ 0.08291697,  0.94514718,  0.77332334,  0.91745384], 
 [ 1.17806428, -0.58006427,  0.46937534,  0.4537653 ], 
 [-0.0389414 ,  0.59192624,  1.54638719, -0.1621507 ], 
 [ 0.26225007, -1.03040505, -0.08829971,  1.74803102], 
 [ 1.99018321,  0.0533589 , -0.43726774,  0.74690054], 
 [-0.86424631, -0.33887061,  0.70302969, -0.4683879 ], 
 [ 0.27987653,  0.50196434,  0.27461693,  0.76672621], 
 [-0.48482868,  0.52682383, -0.82499279,  0.13506442], 
 [ 0.81539195, -0.19274584,  0.14182752 , 0.99152452], 
 [-1.63625395, -0.2825709 , -1.3722227  ,-0.89015643], 
 [-0.2120038 , -0.11061871,  0.65579167, -0.05077983], 
 [-1.27487413, -0.05245771 ,-0.15350269,  0.25202763], 
 [ 0.18770859, -0.5351143 ,  1.08033129,  1.09871256], 
 [ 0.63692456, -0.08386417, -0.52074619 , 0.30477743], 
 [-0.37119725, -0.91369113, -0.69038058, -1.13559833], 
 [ 0.19669219, -0.69390458,  0.13606657,  0.65237566], 
 [ 1.92177505, -0.33874025, -0.69950528,  1.4590976 ], 
 [ 0.65643289,  1.32394797, -0.57407465,  0.81686957], 
 [-0.15374573,  0.97935905,  0.49041353,  0.87418377], 
 [ 0.51391877, -0.79976909,  0.53512373, -0.6242244 ], 
 [-0.79948919,  1.48649458,  0.886719  ,  0.04432583], 
 [ 0.1275169 , -0.86104756,  0.53358979,  0.22961943], 
 [ 2.1816417 ,  3.02199883,  0.05536566, -1.31123534], 
 [-0.30899373,  1.05500101, -0.65852735,  0.91300539], 
 [ 0.52859753, -0.37242948, -0.24722913,  1.61951108], 
 [-0.94885662, -0.31852325, -0.19511868, -0.97446647], 
 [ 0.78782363, -1.47533521,  0.34707538, -0.91472026], 
 [ 0.56421548, -0.3274708 ,  2.29503354,  0.03712519], 
 [ 1.44715762, -0.39490352,  1.3796457 , -1.18105297], 
 [-1.81030082, -1.43416875, -0.59705835,  0.09226415], 
 [-0.75866458,  0.82129306,  1.33108415, -1.33731865], 
 [ 0.99127608, -0.84004416, -0.56019675,  0.79011596], 
 [-1.37352095,  0.58020146,  0.9905405 , -1.33820105], 
 [ 1.33566343, -0.60299448, -1.40038519,  1.72289687], 
 [-1.07078323,  1.26502953,  1.0687081 ,  0.75776685], 
 [ 0.41273785, -0.51149415,  2.16554489,  1.57096675], 
 [ 0.56709091, -1.08444502, -0.5258619 ,  0.65040562], 
 [-0.08749268,  0.71121067, -0.74227813,  0.78456009], 
 [ 0.95093647, -0.42574946, -0.14334723, -0.09953312], 
 [-0.87381322, -0.34602133,  0.66932932, -0.67124677], 
 [-0.99093246, -0.82316717,  0.92935668, -0.10221016], 
 [ 0.32140797, -0.58175323,  0.11086448,  0.92667356], 
 [ 0.26970298,  0.18633643, -0.4064298 , -0.83422917], 
 [ 0.89478707, -1.46968363, -0.52888096, -1.38573629], 
 [ 0.92031294, -0.79731228,  0.54553542, -0.00911341], 
 [-1.6030192 , -0.0756946 ,  1.45873469,  0.15543177], 
 [ 0.27035048,  1.12953648, -0.90943073,  1.98692331], 
 [ 1.43699519, -1.63705937, -0.80360537, -2.3146443 ], 
 [ 1.14765966, -0.75542936,  0.5491666 , -0.96629247], 
 [-1.44352872,  0.3782115  , 0.75304384, -0.23641418], 
 [-1.5950437 , -1.12816043, -0.41687892, -0.21521365], 
 [ 0.10017387, -2.37827852,  1.00419452,  0.42413486], 
 [ 0.19454162,  0.64577799 , 0.59036559, -1.04563484], 
 [-1.37733793, -0.52457239 ,-1.23161447, -1.18300849], 
 [ 0.29309861,  0.76799142,  1.87897738, -0.24162501], 
 [-0.67107689,  0.10845625,  0.5749293 , -0.13329245], 
 [ 0.28460315, -0.33177414,  0.07426282,  0.13338182], 
 [ 0.10874203, -1.74769067, -0.16685912,  1.00843836], 
 [ 0.13369787, -0.63374235, -2.67189166, -0.77281745], 
 [ 1.35525387, -2.08925769,  0.19421696,  0.52058186], 
 [-0.58542985,  1.08552843, -0.19457818,  0.83871809], 
 [-0.1589295 ,  0.26429327,  0.3502419 ,  0.43589141], 
 [ 1.880659  ,  0.97304962, -0.41893202,  0.4828524 ], 
 [-0.05729534,  0.55920667,  0.06079404, -0.93939447], 
 [-0.97292821,  0.57166157,  1.2263112 , -0.83465075], 
 [-0.18468036,  0.07168662, -0.15572338,  0.71178209], 
 [-0.06536354, -0.02854435, -0.11929702,  0.71202688], 
 [-0.20707243, -0.20031753, -0.01851757,  0.34484974], 
 [-0.11488756, -0.14456578,  0.10561483, -0.43962901]],
 ]

single_asset_Z = [[[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.49464703],
 [ 0.03774423],
 [-0.07974783],
 [ 0.02439166],
 [-0.01630791],
 [-2.82582348],
 [ 0.136545  ],
 [ 0.81951281],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.06785701],
 [ 0.89204906],
 [-0.18430449],
 [ 0.38037389],
 [ 0.02602555],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-0.16940929],
 [ 0.76911843],
 [-1.08330969],
 [-0.97218735],
 [ 0.35153091],
 [-0.17677108],
 [-0.96149394],
 [-1.09593792],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]],
 [[-2.97770261],
 [ 0.20642263],
 [-1.73614442],
 [-0.16391809],
 [-1.80946168],
 [-0.4458686 ],
 [-0.08011368],
 [ 0.05241417],
 [ 0.02145173],
 [-0.76307493],
 [-1.52571821],
 [ 0.27418401],
 [-1.66968912],
 [-0.24657589],
 [-0.50773421],
 [ 2.69930705],
 [ 1.57619942],
 [-0.40710554],
 [-0.98538876],
 [ 0.62211537],
 [-0.33466631],
 [ 1.66597921],
 [-1.09931682],
 [ 0.17064577],
 [ 0.17684244],
 [ 0.50165877],
 [ 0.56039866],
 [-0.8184654 ],
 [ 0.22405586],
 [-0.93342393],
 [ 1.17809877],
 [-0.96158401],
 [ 0.3467416 ],
 [-0.37390758],
 [ 0.46813477],
 [-0.24830965],
 [-1.71501293],
 [-1.39768572],
 [-1.81920976],
 [ 0.8339133 ],
 [-0.06540294],
 [ 0.75137598],
 [-0.48362694],
 [ 1.21914922],
 [ 0.8017531 ],
 [-1.34638322],
 [ 0.45923135],
 [ 2.29713481],
 [ 1.61113792],
 [ 1.85942278],
 [-0.25426886],
 [-1.06958299],
 [-0.04522535],
 [ 0.79287964],
 [-0.80863041],
 [ 0.29348646],
 [-1.154547  ],
 [-0.13384348],
 [-1.61056882],
 [-0.06124446],
 [ 0.42289458],
 [-0.85362255],
 [ 0.71724169],
 [ 1.84779836],
 [-0.04517778],
 [-0.34413318],
 [-1.21170238],
 [-1.26897346],
 [ 1.05553354],
 [ 0.13941872],
 [ 1.41342871],
 [-0.56089497],
 [ 1.62524284],
 [ 0.77911855],
 [ 0.6439895 ],
 [ 1.86313412],
 [-1.65629513],
 [ 0.10120816],
 [-0.0807262 ],
 [ 1.0129488 ],
 [-0.72305158],
 [-0.83202347],
 [-0.55076263],
 [ 0.95961609],
 [-1.23289775],
 [ 2.03984134],
 [ 0.01329095],
 [-0.67280864],
 [-1.02816042],
 [-0.36493919],
 [-0.38118804],
 [ 0.84486081],
 [ 1.95852392],
 [-1.2082941 ],
 [-0.1314261 ],
 [ 2.17976011],
 [ 0.21368528],
 [ 0.8958971 ],
 [ 0.06189007],
 [-0.33554272]]]
